// -*- c++ -*-
/*
  Copyright 2003 John Knottenbelt
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#if !defined __UTILS_H
#define __UTILS_H

#include <string>

void setNonBlocking(int fd);
bool readCredentials(int fd, int &pid, uid_t &uid, gid_t &gid);

int readLineStripTrailingWS(int fd, std::string &line);
void writeString(int fd, const std::string &line);

std::string escapeWS(const std::string &channel);
std::string unescapeWS(const std::string &channel);

bool accessOk(const std::string &path, uid_t uid);

#endif // __UTILS_H
